# Enum Class Configuration.State

java.lang.Object
java.lang.Enum<Configuration.State>
org.gradle.api.artifacts.Configuration.State

All Implemented Interfaces:
  `Serializable, Comparable<Configuration.State>, Constable`

Enclosing interface:
  `Configuration`

public static enum Configuration.State extends Enum<Configuration.State>
The states a configuration can be into. A configuration is only mutable as long as it is in the unresolved state.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RESOLVED`
`RESOLVED_WITH_FAILURES`
`UNRESOLVED`

## Method Summary

Modifier and Type
Method
Description
`static Configuration.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Configuration.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNRESOLVED

public static final Configuration.State UNRESOLVED

### RESOLVED

public static final Configuration.State RESOLVED

### RESOLVED_WITH_FAILURES

public static final Configuration.State RESOLVED_WITH_FAILURES

## Method Details

### values

public static Configuration.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Configuration.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null